GuidesAPI Reference
API Reference

Update and send an invitation to a user in a realm

Update and resend an invitation to add a new member to the realm, optionally assign membership to one or more groups if the Inviter is also a GroupAdmin for the group and optionally invite with one or more roles assigned.


Access Control:

  • In order to invite a new user to the "{realm}":
    • The calling principal must have "manageInvites" action permission for the resource "{realm}" in the "authorization" service.
  • In order to invite a new user to the "{realm}" as a member of the "{group}":
    • The calling principal must have "manageInvites" action permission for the resource "{realm}" AND "manageMembers" action permission for the resource "{group}" in the "authorization" service.
  • In order to invite a new user to the "{realm}" to have roles. For each "{role}":
    • The calling principal must have "manageInvites" action permission for the resource "{realm}" AND "manageEntities" action permission for the resource "{role}" in the "authorization" service.
  • This API is rate limited to a maximum of 6 invites per realm per minute.
  • The calling principal MUST NOT include a project scope.
Path Params
string
required

HRN identifying the realm

string
required

HRN identifying a given invite.

Body Params
string
required

The email address to send the invitation to.

string

The first name of the invitee.

string

The last name of the invitee.

roles
array of strings

HRNs of the roles to be assigned to the invitee upon invite accepted.

roles
groupHrns
array of strings

The group memberships to create for this invitation.

groupHrns
boolean

If the realm is configured to support both 'saml' and 'password' logins, allow the user to activate this invite by setting up 'password' credentials. Otherwise, use the default login method of the realm when activating this invite.

Responses

400

Invalid name or role.

404

Realm or group or role not found.

422

Group size limit exceeded.

429

Realm invitation is temporarily suspended due to repeated requests. Wait for a while before making a new request.

Language
Credentials
Bearer
JWT
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json